# std::_Bvector_base< _Alloc > Struct Template Reference

Inheritance diagram for std::_Bvector_base< _Alloc >:

List of all members.

## Detailed Description

### template<class _Alloc>
struct std::_Bvector_base< _Alloc >

Definition at line 377 of file stl_bvector.h.

## Public Types

- typedef _Alloc::template rebind<
  _Bit_type >::other _Bit_alloc_type
- typedef _Alloc allocator_type

## Public Member Functions

- _Bvector_base (const allocator_type &__a)
- const _Bit_alloc_type & _M_get_Bit_allocator () const
- _Bit_alloc_type & _M_get_Bit_allocator ()
- allocator_type get_allocator () const
- ~_Bvector_base ()

## Protected Member Functions

- _Bit_type * _M_allocate (size_t __n)
- void _M_deallocate ()

## Protected Attributes

- _Bvector_impl _M_impl

## Classes

- struct _Bvector_impl

The documentation for this struct was generated from the following file:

- stl_bvector.h